-- Default data sets for FlightMap
--
-- Some default flight times thanks to Krwaz, author of FlightPath.
-- 
-- This file is loaded after the localizations

-- Default options
FLIGHTMAP_DEFAULT_OPTS = {
     ["showPaths"]   = true,
     ["showPOIs"]    = true,
     ["showAllInfo"] = false,
     ["useTimer"]    = true,
     ["showCosts"]   = false,
     ["showTimes"]   = false,
};

-- Sub-zones
FLIGHTMAP_SUBZONES = {
    [FLIGHTMAP_ORGRIMMAR]    = FLIGHTMAP_DUROTAR,
    [FLIGHTMAP_THUNDERBLUFF] = FLIGHTMAP_MULGORE,
    [FLIGHTMAP_UNDERCITY]    = FLIGHTMAP_TIRISFAL,
    [FLIGHTMAP_IRONFORGE]    = FLIGHTMAP_DUNMOROGH,
    [FLIGHTMAP_STORMWIND]    = FLIGHTMAP_ELWYNN,
};

-- Default flight data
-- Note that the node names are not internationalised.  This is not a
-- problem, because they will be updated as soon as that node appears
-- on a taxi map, and they are not used for anything but labels.
FLIGHTMAP_HORDE_FLIGHTS = {
    ["2:671:703"] = {
        ["Flights"] = {
            ["2:442:805"] = 285.968,
            ["2:494:733"] = 170.182,
        },
        ["Name"] = "Revantusk Village, The Hinterlands",
        ["Zone"] = FLIGHTMAP_HINTERLANDS,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5886100, ["y"] = 0.3451610 },
            ["Taxi"]      = { ["x"] = 0.6715370, ["y"] = 0.7039840 },
            ["Zone"]      = { ["x"] = 0.8166280, ["y"] = 0.8181090 },
        },
        ["Costs"] = {},
    },
    ["2:605:253"] = {
        ["Flights"] = {
            ["2:555:388"] = 199.168,
            ["2:448:163"] = 190,
            ["2:431:70"] = 264.176,
            ["2:554:428"] = 287.134,
        },
        ["Name"] = "Stonard, Swamp of Sorrows",
        ["Zone"] = FLIGHTMAP_SORROWS,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5477070, ["y"] = 0.7637910 },
            ["Taxi"]      = { ["x"] = 0.6054160, ["y"] = 0.2533850 },
            ["Zone"]      = { ["x"] = 0.4605270, ["y"] = 0.5467920 },
        },
        ["Costs"] = {},
    },
    ["1:640:767"] = {
        ["Flights"] = {
            ["1:464:695"] = 196.671,
            ["1:537:794"] = 145,
            ["1:628:556"] = 297.52,
        },
        ["Name"] = "Everlook, Winterspring",
        ["Zone"] = FLIGHTMAP_WINTERSPRING,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5890270, ["y"] = 0.2440340 },
            ["Taxi"]      = { ["x"] = 0.6401450, ["y"] = 0.7675870 },
            ["Zone"]      = { ["x"] = 0.6046200, ["y"] = 0.3634570 },
        },
        ["Costs"] = {},
    },
    ["2:431:70"] = {
        ["Flights"] = {
            ["2:448:163"] = 103.445,
            ["2:605:253"] = 252.256,
            ["2:554:428"] = 395.469,
        },
        ["Name"] = "Booty Bay, Stranglethorn",
        ["Zone"] = FLIGHTMAP_STRANGLETHORN,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4401970, ["y"] = 0.9338350 },
            ["Taxi"]      = { ["x"] = 0.4315910, ["y"] = 0.0704551 },
            ["Zone"]      = { ["x"] = 0.2688700, ["y"] = 0.7706760 },
        },
        ["Costs"] = {},
    },
    ["1:449:438"] = {
        ["Flights"] = {
            ["1:549:265"] = 205,
            ["1:567:358"] = 0,
            ["1:442:306"] = 254.928,
            ["1:407:527"] = 197,
            ["1:606:198"] = 293.05,
            ["1:557:469"] = 158.739,
            ["1:316:415"] = 161.027,
            ["1:628:556"] = 209.118,
            ["1:528:389"] = 0,
            ["1:631:638"] = 0,
        },
        ["Name"] = "Thunder Bluff, Mulgore",
        ["Zone"] = FLIGHTMAP_MULGORE,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4629610, ["y"] = 0.5705370 },
            ["Taxi"]      = { ["x"] = 0.4494780, ["y"] = 0.4384880 },
            ["Zone"]      = { ["x"] = 0.4665450, ["y"] = 0.4989840 },
        },
        ["Costs"] = {},
    },
    ["1:528:389"] = {
        ["Flights"] = {
            ["1:557:469"] = 0,
            ["1:549:265"] = 0,
            ["1:449:438"] = 0,
        },
        ["Name"] = "Camp Taurajo, The Barrens",
        ["Zone"] = FLIGHTMAP_BARRENS,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5149100, ["y"] = 0.6188770 },
            ["Taxi"]      = { ["x"] = 0.5280470, ["y"] = 0.3898660 },
            ["Zone"]      = { ["x"] = 0.4445640, ["y"] = 0.5913980 },
        },
        ["Costs"] = {},
    },
    ["1:631:638"] = {
        ["Flights"] = {
            ["1:557:469"] = 251,
            ["1:628:556"] = 122,
            ["1:464:695"] = 0,
            ["1:449:438"] = 0,
        },
        ["Name"] = "Valormok, Azshara",
        ["Zone"] = FLIGHTMAP_AZSHARA,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5830760, ["y"] = 0.3725020 },
            ["Taxi"]      = { ["x"] = 0.6310760, ["y"] = 0.6381070 },
            ["Zone"]      = { ["x"] = 0.2195680, ["y"] = 0.4969830 },
        },
        ["Costs"] = {},
    },
    ["2:555:388"] = {
        ["Flights"] = {
            ["2:505:432"] = 0,
            ["2:605:253"] = 199.665,
            ["2:554:428"] = 88.891,
        },
        ["Name"] = "Flame Crest, Burning Steppes",
        ["Zone"] = FLIGHTMAP_BURNINGSTEPPE,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5166930, ["y"] = 0.6379550 },
            ["Taxi"]      = { ["x"] = 0.5553310, ["y"] = 0.3888590 },
            ["Zone"]      = { ["x"] = 0.6557750, ["y"] = 0.2421930 },
        },
        ["Costs"] = {},
    },
    ["2:697:839"] = {
        ["Flights"] = {
            ["2:442:805"] = 259.563,
        },
        ["Name"] = "Light's Hope Chapel, Eastern Plaguelands",
        ["Zone"] = FLIGHTMAP_EASTERNPLAGUE,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.6048680, ["y"] = 0.2190770 },
            ["Taxi"]      = { ["x"] = 0.6975220, ["y"] = 0.8399050 },
            ["Zone"]      = { ["x"] = 0.8023810, ["y"] = 0.5711970 },
        },
        ["Costs"] = {},
    },
    ["1:316:415"] = {
        ["Flights"] = {
            ["1:442:306"] = 206.449,
            ["1:449:438"] = 173.48,
        },
        ["Name"] = "Shadowprey Village, Desolace",
        ["Zone"] = FLIGHTMAP_DESOLACE,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.3751560, ["y"] = 0.5937890 },
            ["Taxi"]      = { ["x"] = 0.3166030, ["y"] = 0.4150520 },
        },
        ["Costs"] = {},
    },
    ["2:442:805"] = {
        ["Flights"] = {
            ["2:671:703"] = 286.121,
            ["2:697:839"] = 263.22,
            ["2:384:755"] = 107.893,
            ["2:615:691"] = 302.177,
            ["2:494:733"] = 142.431,
            ["2:554:428"] = 490.724,
        },
        ["Name"] = "Undercity, Tirisfal",
        ["Zone"] = FLIGHTMAP_TIRISFAL,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4469460, ["y"] = 0.2513460 },
            ["Taxi"]      = { ["x"] = 0.4426770, ["y"] = 0.8050930 },
            ["Zone"]      = { ["x"] = 0.6313120, ["y"] = 0.4836570 },
        },
        ["Costs"] = {},
    },
    ["1:628:556"] = {
        ["Flights"] = {
            ["1:554:582"] = 92.452,
            ["1:464:695"] = 249.503,
            ["1:449:438"] = 226.608,
            ["1:606:198"] = 419.871,
            ["1:631:638"] = 100.518,
            ["1:557:469"] = 111.996,
            ["1:567:358"] = 230.779,
            ["1:640:767"] = 322.491,
        },
        ["Name"] = "Orgrimmar, Durotar",
        ["Zone"] = FLIGHTMAP_ORGRIMMAR,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5810210, ["y"] = 0.4534370 },
            ["Taxi"]      = { ["x"] = 0.6280080, ["y"] = 0.5565980 },
            ["Zone"]      = { ["x"] = 0.4522040, ["y"] = 0.6395310 },
        },
        ["Costs"] = {},
    },
    ["2:554:428"] = {
        ["Flights"] = {
            ["2:555:388"] = 89.159,
            ["2:605:253"] = 0,
            ["2:505:432"] = 0,
            ["2:448:163"] = 315.546,
            ["2:615:691"] = 258.426,
            ["2:431:70"] = 435.394,
            ["2:442:805"] = 499.5,
        },
        ["Name"] = "Kargath, Badlands",
        ["Zone"] = FLIGHTMAP_BADLANDS,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5164690, ["y"] = 0.6007830 },
            ["Taxi"]      = { ["x"] = 0.5549870, ["y"] = 0.4287750 },
            ["Zone"]      = { ["x"] = 0.0404042, ["y"] = 0.4475310 },
        },
        ["Costs"] = {},
    },
    ["1:554:582"] = {
        ["Flights"] = {
            ["1:557:469"] = 165.429,
            ["1:628:556"] = 89.738,
            ["1:409:626"] = 168.356,
        },
        ["Name"] = "Splintertree Post, Ashenvale",
        ["Zone"] = FLIGHTMAP_ASHENVALE,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5322410, ["y"] = 0.4277170 },
            ["Taxi"]      = { ["x"] = 0.5544190, ["y"] = 0.5822670 },
            ["Zone"]      = { ["x"] = 0.7317500, ["y"] = 0.6156200 },
        },
        ["Costs"] = {},
    },
    ["1:461:226"] = {
        ["Flights"] = {
            ["1:606:198"] = 180.851,
        },
        ["Name"] = "Valor's Rest, Silithus",
        ["Zone"] = FLIGHTMAP_SILITHUS,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4706120, ["y"] = 0.7807290 },
            ["Taxi"]      = { ["x"] = 0.4610450, ["y"] = 0.2266280 },
        },
        ["Costs"] = {},
    },
    ["2:505:432"] = {
        ["Flights"] = {
            ["2:555:388"] = 78.535,
        },
        ["Name"] = "Thorium Point, Searing Gorge",
        ["Zone"] = FLIGHTMAP_SEARINGGORGE,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4858120, ["y"] = 0.5976180 },
            ["Taxi"]      = { ["x"] = 0.5054390, ["y"] = 0.4324020 },
            ["Zone"]      = { ["x"] = 0.3485160, ["y"] = 0.3075420 },
        },
        ["Costs"] = {},
    },
    ["1:464:695"] = {
        ["Flights"] = {
            ["1:557:469"] = 269.608,
            ["1:640:767"] = 193.748,
            ["1:631:638"] = 0,
            ["1:537:794"] = 160.639,
            ["1:628:556"] = 248.205,
        },
        ["Name"] = "Bloodvenom Post, Felwood",
        ["Zone"] = FLIGHTMAP_FELWOOD,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4729670, ["y"] = 0.3150840 },
            ["Taxi"]      = { ["x"] = 0.4645530, ["y"] = 0.6959080 },
            ["Zone"]      = { ["x"] = 0.3443750, ["y"] = 0.5382940 },
        },
        ["Costs"] = {},
    },
    ["1:442:306"] = {
        ["Flights"] = {
            ["1:606:198"] = 193,
            ["1:557:469"] = 269.09,
        },
        ["Name"] = "Camp Mojache, Feralas",
        ["Zone"] = FLIGHTMAP_FERALAS,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4583640, ["y"] = 0.7018800 },
            ["Taxi"]      = { ["x"] = 0.4425100, ["y"] = 0.3060860 },
            ["Zone"]      = { ["x"] = 0.4583640, ["y"] = 0.7018800 },
        },
        ["Costs"] = {},
    },
    ["1:407:527"] = {
        ["Flights"] = {
            ["1:557:469"] = 152.151,
            ["1:316:415"] = 0,
            ["1:449:438"] = 317,
        },
        ["Name"] = "Sun Rock Retreat, Stonetalon Mountains",
        ["Zone"] = FLIGHTMAP_STONETALON,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4355130, ["y"] = 0.4822880 },
            ["Taxi"]      = { ["x"] = 0.4079570, ["y"] = 0.5273860 },
            ["Zone"]      = { ["x"] = 0.4517480, ["y"] = 0.5984910 },
        },
        ["Costs"] = {},
    },
    ["1:537:794"] = {
        ["Flights"] = {
            ["1:464:695"] = 161,
            ["1:640:767"] = 146.938,
        },
        ["Name"] = "Moonglade",
        ["Zone"] = FLIGHTMAP_MOONGLADE,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5214230, ["y"] = 0.2172750 },
            ["Taxi"]      = { ["x"] = 0.5379370, ["y"] = 0.7945930 },
        },
        ["Costs"] = {},
    },
    ["2:384:755"] = {
        ["Flights"] = {
            ["2:442:805"] = 116.442,
        },
        ["Name"] = "Sepulcher, Silverpine",
        ["Zone"] = FLIGHTMAP_SILVERPINE,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4108830, ["y"] = 0.2978700 },
            ["Taxi"]      = { ["x"] = 0.3844750, ["y"] = 0.7550980 },
            ["Zone"]      = { ["x"] = 0.4554830, ["y"] = 0.4250200 },
        },
        ["Costs"] = {},
    },
    ["1:567:358"] = {
        ["Flights"] = {
            ["1:606:198"] = 0,
            ["1:557:469"] = 164.653,
            ["1:628:556"] = 229.681,
            ["1:449:438"] = 0,
        },
        ["Name"] = "Brackenwall Village, Dustwallow Marsh",
        ["Zone"] = FLIGHTMAP_DUSTWALLOW,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5409970, ["y"] = 0.6500540 },
            ["Taxi"]      = { ["x"] = 0.5674680, ["y"] = 0.3583650 },
            ["Zone"]      = { ["x"] = 0.3556190, ["y"] = 0.3184800 },
        },
        ["Costs"] = {},
    },
    ["1:557:469"] = {
        ["Flights"] = {
            ["1:554:582"] = 161.332,
            ["1:549:265"] = 189.179,
            ["1:464:695"] = 243.547,
            ["1:442:306"] = 255.237,
            ["1:407:527"] = 144,
            ["1:449:438"] = 174.225,
            ["1:606:198"] = 310.98,
            ["1:631:638"] = 171,
            ["1:528:389"] = 0,
            ["1:567:358"] = 164,
            ["1:628:556"] = 134.882,
            ["1:409:626"] = 231.538,
        },
        ["Name"] = "Crossroads, The Barrens",
        ["Zone"] = FLIGHTMAP_BARRENS,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5343690, ["y"] = 0.5395740 },
            ["Taxi"]      = { ["x"] = 0.5573570, ["y"] = 0.4695230 },
            ["Zone"]      = { ["x"] = 0.5152280, ["y"] = 0.3034330 },
        },
        ["Costs"] = {},
    },
    ["2:494:733"] = {
        ["Flights"] = {
            ["2:615:691"] = 116.419,
            ["2:442:805"] = 136.582,
        },
        ["Name"] = "Tarren Mill, Hillsbrad",
        ["Zone"] = FLIGHTMAP_HILLSBRAD,
        ["Continent"] = 2,
        ["Location"] = {
            ["Taxi"]      = { ["x"] = 0.4944220, ["y"] = 0.7331260 },
            ["Continent"] = { ["x"] = 0.4789680, ["y"] = 0.3180990 },
            ["Zone"]      = { ["x"] = 0.6019660, ["y"] = 0.1866140 },
        },
        ["Costs"] = {},
    },
    ["1:549:265"] = {
        ["Flights"] = {
            ["1:528:389"] = 0,
            ["1:557:469"] = 188.922,
            ["1:606:198"] = 0,
            ["1:449:438"] = 0,
        },
        ["Name"] = "Freewind Post, Thousand Needles",
        ["Zone"] = FLIGHTMAP_1KNEEDLES,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5295370, ["y"] = 0.7421900 },
            ["Taxi"]      = { ["x"] = 0.5498890, ["y"] = 0.2655010 },
            ["Zone"]      = { ["x"] = 0.4515740, ["y"] = 0.4915030 },
        },
        ["Costs"] = {},
    },
    ["2:448:163"] = {
        ["Flights"] = {
            ["2:431:70"] = 83.222,
            ["2:605:253"] = 189.289,
            ["2:554:428"] = 314.007,
        },
        ["Name"] = "Grom'gol, Stranglethorn",
        ["Zone"] = FLIGHTMAP_STRANGLETHORN,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4503970, ["y"] = 0.8472710 },
            ["Taxi"]      = { ["x"] = 0.4482590, ["y"] = 0.1635920 },
            ["Zone"]      = { ["x"] = 0.3251350, ["y"] = 0.2931790 },
        },
        ["Costs"] = {},
    },
    ["2:615:691"] = {
        ["Flights"] = {
            ["2:494:733"] = 118.411,
            ["2:442:805"] = 257.233,
            ["2:554:428"] = 260.779,
        },
        ["Name"] = "Hammerfall, Arathi",
        ["Zone"] = FLIGHTMAP_ARATHI,
        ["Continent"] = 2,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5538900, ["y"] = 0.3572260 },
            ["Taxi"]      = { ["x"] = 0.6154010, ["y"] = 0.6910910 },
            ["Zone"]      = { ["x"] = 0.7306180, ["y"] = 0.3262320 },
        },
        ["Costs"] = {},
    },
    ["1:606:198"] = {
        ["Flights"] = {
            ["1:557:469"] = 306.64,
            ["1:549:265"] = 0,
            ["1:628:556"] = 352.006,
            ["1:461:226"] = 195.536,
            ["1:442:306"] = 195.068,
            ["1:567:358"] = 0,
            ["1:449:438"] = 0,
        },
        ["Name"] = "Gadgetzan, Tanaris",
        ["Zone"] = FLIGHTMAP_TANARIS,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.5664760, ["y"] = 0.8090540 },
            ["Taxi"]      = { ["x"] = 0.6060130, ["y"] = 0.1980740 },
            ["Zone"]      = { ["x"] = 0.5160660, ["y"] = 0.2551690 },
        },
        ["Costs"] = {},
    },
    ["1:409:626"] = {
        ["Flights"] = {
            ["1:554:582"] = 169.587,
            ["1:557:469"] = 230.267,
        },
        ["Name"] = "Zoram'gar Outpost, Ashenvale",
        ["Zone"] = FLIGHTMAP_ASHENVALE,
        ["Continent"] = 1,
        ["Location"] = {
            ["Continent"] = { ["x"] = 0.4366870, ["y"] = 0.3842500 },
            ["Taxi"]      = { ["x"] = 0.4097380, ["y"] = 0.6263230 },
            ["Zone"]      = { ["x"] = 0.1219750, ["y"] = 0.3381880 },
        },
        ["Costs"] = {},
    },
};

-- I don't know any!
FLIGHTMAP_ALLIANCE_FLIGHTS = {
};

FlightMap = {
    ["Opts"]             = FLIGHTMAP_DEFAULT_OPTS,
    ["Knowledge"]        = {},
    [FLIGHTMAP_HORDE]    = FLIGHTMAP_HORDE_FLIGHTS,
    [FLIGHTMAP_ALLIANCE] = FLIGHTMAP_ALLIANCE_FLIGHTS,

};
