-- German localisation

if (GetLocale() == "deDE") then
    FLIGHTMAP_NAME          = "FlightMap";
    FLIGHTMAP_DESCRIPTION   = "Fluglinieninfos auf der Weltkarte";
    FLIGHTMAP_ALLIANCE      = "Allianz";
    FLIGHTMAP_HORDE         = "Horde";
    FLIGHTMAP_CONTESTED     = "Umk\195\164mpft";

    -- Zone names
    FLIGHTMAP_MOONGLADE     = "Moonglade";
    FLIGHTMAP_ELWYNN        = "Der Wald von Elwynn";
    FLIGHTMAP_DUNMOROGH     = "Dun Morogh";
    FLIGHTMAP_TIRISFAL      = "Tirisfal";
    FLIGHTMAP_LOCHMODAN     = "Loch Modan";
    FLIGHTMAP_SILVERPINE    = "Der Silberwald";
    FLIGHTMAP_WESTFALL      = "Das Redridgegebirge";
    FLIGHTMAP_REDRIDGE      = "Westfall";
    FLIGHTMAP_DUSKWOOD      = "Duskwood";
    FLIGHTMAP_HILLSBRAD     = "Die Vorgebirge von Hillsbrad";
    FLIGHTMAP_WETLANDS      = "Das Sumpfland";
    FLIGHTMAP_ALTERAC       = "Das Alteracgebirge";
    FLIGHTMAP_ARATHI        = "Das Arathi Hochland";
    FLIGHTMAP_STRANGLETHORN = "Stranglethorn";
    FLIGHTMAP_BADLANDS      = "Das \195\150dland";
    FLIGHTMAP_SORROWS       = "Die S\195\188mpfe des Elends";
    FLIGHTMAP_HINTERLANDS   = "Das Hinterland";
    FLIGHTMAP_SEARINGGORGE  = "Die Sengende Schlucht";
    FLIGHTMAP_BLASTEDLANDS  = "Die verw\195\188steten Lande";
    FLIGHTMAP_BURNINGSTEPPE = "Die brennende Steppe";
    FLIGHTMAP_WESTERNPLAGUE = "Die westlichen Pestl\195\164nder";
    FLIGHTMAP_EASTERNPLAGUE = "Die \195\182stlichen Pestl\195\164nder";
    FLIGHTMAP_DUROTAR       = "Durotar";
    FLIGHTMAP_MULGORE       = "Mulgore";
    FLIGHTMAP_DARKSHORE     = "Darkshore";
    FLIGHTMAP_BARRENS       = "Das Brachland";
    FLIGHTMAP_STONETALON    = "Das Steinkrallengebirge";
    FLIGHTMAP_ASHENVALE     = "Ashenvale";
    FLIGHTMAP_1KNEEDLES     = "Thousand Needles";
    FLIGHTMAP_DESOLACE      = "Desolace";
    FLIGHTMAP_DUSTWALLOW    = "Die Marschen von Dustwallow";
    FLIGHTMAP_FERALAS       = "Feralas";
    FLIGHTMAP_TANARIS       = "Tanaris";
    FLIGHTMAP_AZSHARA       = "Azshara";
    FLIGHTMAP_FELWOOD       = "Felwood";
    FLIGHTMAP_UNGOROCRATER  = "Der Un'Goro Krater";
    FLIGHTMAP_SILITHUS      = "Silithus";
    FLIGHTMAP_WINTERSPRING  = "Winterspring";
    FLIGHTMAP_TELDRASSIL    = "Teldrassil";
    FLIGHTMAP_DEADWINDPASS  = "Der Gebirgspass der Totenwinde";
    FLIGHTMAP_ORGRIMMAR     = "Orgrimmar";
    FLIGHTMAP_THUNDERBLUFF  = "Thunder Bluff";  -- TODO translate
    FLIGHTMAP_UNDERCITY     = "Undercity";
    FLIGHTMAP_IRONFORGE     = "Ironforge";
    FLIGHTMAP_STORMWIND     = "Stormwind"
    FLIGHTMAP_DARNASSUS     = "Darnassus";

    -- General strings:
    FLIGHTMAP_TIMING        = "(Zeitberechnung)";
    FLIGHTMAP_INBOUND       = "|cff00ff00Eingehende Flugrouten:|r";
    FLIGHTMAP_OUTBOUND      = "|cff00ff00Ausgehende Flugrouten:|r";
    FLIGHTMAP_LEVELS        = "|cff00ff00Zonen-Level:|r";
    FLIGHTMAP_NOFLIGHTS     = "Keine bekannt!";
    FLIGHTMAP_NOT_KNOWN     = "(Nicht bekannt)";
    FLIGHTMAP_NO_COST       = "Frei"
    
    -- Option strings:
    FLIGHTMAP_OPTIONS = {
        {   -- Group 1: Left hand side; map options
            options = {
                {   -- Option 1: flight path lines
                    label = "Flugrouten-Linien",
                    option = "showPaths",
                    tooltip = "Zeichnet Linien ziwschen den einzelnen Flugrouten.",
                },
                {   -- Option 2: flight timers
                    label = "Flugmodus Zeitanzeige",
                    option = "useTimer",
                    tooltip = "Schaltet die Zeitanzeige im Flugmodus ein/aus.",
                },
                {   -- Option 3: extra POI buttons
                    label = "Flugmeister POIs",
                    option = "showPOIs",
                    tooltip = "Flug Meister werden mit POI(Map)-Punkten angezeigt.",
                },
            },
        },
        {  -- Group 2: Tooltip options, plus odd one out
            options = {
                {   -- Option 1: Unknown masters
                    label = "Zeige Flugdauer",
                    option = "showTimes",
                    tooltip = "Flugzeit im Tooltip anzeigen.",
                },
                {   -- Option 2: Unknown masters
                    label = "Zeige Flug Kosten",
                    option = "showCosts",
                    tooltip = "Flug Kosten im Tooltip anzeigen.",
                },
                {   -- Option 3: Unknown masters
                    label = "Zeige alle Infos",
                    option = "showAllInfo",
                    tooltip = "Zeige alle Daten, auch f\195\188r die unbesuchten Flugpunkte.",
                },
            },
        },
    };

    -- These constants determine how "Town, Zone" strings look.
    -- SEP_STRING is what separates Town from Zone.  SEP_POSTAMBLE
    -- is anything that is after Zone.
    FLIGHTMAP_SEP_STRING    = ", ";
    FLIGHTMAP_SEP_POSTAMBLE = "";
end
