-- Translatable strings, English (and default) version

FLIGHTMAP_NAME          = "FlightMap";
FLIGHTMAP_DESCRIPTION   = "Flight path info on the World Map";
FLIGHTMAP_ALLIANCE      = "Alliance";
FLIGHTMAP_HORDE         = "Horde";
FLIGHTMAP_CONTESTED     = "Contested";

-- Zone names
FLIGHTMAP_MOONGLADE     = "Moonglade";
FLIGHTMAP_ELWYNN        = "Elwynn Forest";
FLIGHTMAP_DUNMOROGH     = "Dun Morogh";
FLIGHTMAP_TIRISFAL      = "Tirisfal Glades";
FLIGHTMAP_LOCHMODAN     = "Loch Modan";
FLIGHTMAP_SILVERPINE    = "Silverpine Forest";
FLIGHTMAP_WESTFALL      = "Westfall";
FLIGHTMAP_REDRIDGE      = "Redridge Mountains";
FLIGHTMAP_DUSKWOOD      = "Duskwood";
FLIGHTMAP_HILLSBRAD     = "Hillsbrad Foothills";
FLIGHTMAP_WETLANDS      = "Wetlands";
FLIGHTMAP_ALTERAC       = "Alterac Mountains";
FLIGHTMAP_ARATHI        = "Arathi Highlands";
FLIGHTMAP_STRANGLETHORN = "Stranglethorn Vale";
FLIGHTMAP_BADLANDS      = "Badlands";
FLIGHTMAP_SORROWS       = "Swamp of Sorrows";
FLIGHTMAP_HINTERLANDS   = "The Hinterlands";
FLIGHTMAP_SEARINGGORGE  = "Searing Gorge";
FLIGHTMAP_BLASTEDLANDS  = "Blasted Lands";
FLIGHTMAP_BURNINGSTEPPE = "Burning Steppes";
FLIGHTMAP_WESTERNPLAGUE = "Western Plaguelands";
FLIGHTMAP_EASTERNPLAGUE = "Eastern Plaguelands";
FLIGHTMAP_DUROTAR       = "Durotar";
FLIGHTMAP_MULGORE       = "Mulgore";
FLIGHTMAP_DARKSHORE     = "Darkshore";
FLIGHTMAP_BARRENS       = "The Barrens";
FLIGHTMAP_STONETALON    = "Stonetalon Mountains";
FLIGHTMAP_ASHENVALE     = "Ashenvale";
FLIGHTMAP_1KNEEDLES     = "Thousand Needles";
FLIGHTMAP_DESOLACE      = "Desolace";
FLIGHTMAP_DUSTWALLOW    = "Dustwallow Marsh";
FLIGHTMAP_FERALAS       = "Feralas";
FLIGHTMAP_TANARIS       = "Tanaris";
FLIGHTMAP_AZSHARA       = "Azshara";
FLIGHTMAP_FELWOOD       = "Felwood";
FLIGHTMAP_UNGOROCRATER  = "Un'Goro Crater";
FLIGHTMAP_SILITHUS      = "Silithus";
FLIGHTMAP_WINTERSPRING  = "Winterspring";
FLIGHTMAP_TELDRASSIL    = "Teldrassil";
FLIGHTMAP_DEADWINDPASS  = "Deadwind Pass";
FLIGHTMAP_ORGRIMMAR     = "Orgrimmar";
FLIGHTMAP_THUNDERBLUFF  = "Thunder Bluff";
FLIGHTMAP_UNDERCITY     = "Undercity";
FLIGHTMAP_IRONFORGE     = "Ironforge";
FLIGHTMAP_STORMWIND     = "Stormwind City";
FLIGHTMAP_DARNASSUS     = "Darnassus";

-- General strings
FLIGHTMAP_TIMING        = "(timing)";
FLIGHTMAP_INBOUND       = "|cff00ff00Inbound flights:|r";
FLIGHTMAP_OUTBOUND      = "|cff00ff00Outbound flights:|r";
FLIGHTMAP_LEVELS        = "Levels %d - %d";
FLIGHTMAP_NOFLIGHTS     = "None known!";
FLIGHTMAP_NOT_KNOWN     = "(Not known)";
FLIGHTMAP_NO_COST       = "Free";

-- Option strings
FLIGHTMAP_OPTIONS = {
    {   -- Group 1: Left hand side; map options
        options = {
            {   -- Option 1: flight path lines
                label = "Flight path lines",
                option = "showPaths",
                tooltip = "Draw lines on the world map for flight paths.",
            },
            {   -- Option 2: flight timers
                label = "In-flight timers",
                option = "useTimer",
                tooltip = "Enable/disable the flight duration meter.",
            },
            {   -- Option 3: extra POI buttons
                label = "Flight master POIs",
                option = "showPOIs",
                tooltip = "Show extra POI buttons for flight masters.",
            },
        },
    },
    {   -- Group 2: Tooltip options, plus the odd one out
        options = {
            {   -- Option 1: Show flight times
                label = "Show flight times",
                option = "showTimes",
                tooltip = "Show flight times on tooltips.",
            },
            {   -- Option 2: Show flight costs
                label = "Show flight costs",
                option = "showCosts",
                tooltip = "Show flight costs on tooltips.",
            },
            {   -- Option 3: Unknown masters
                label = "Show all info",
                option = "showAllInfo",
                tooltip = "Show all data, even for unvisited flight nodes.",
            },
        },
    },
};

-- These constants determine how "Town, Zone" strings look.
-- SEP_STRING is what separates Town from Zone.  SEP_POSTAMBLE
-- is anything that is after Zone.
FLIGHTMAP_SEP_STRING    = ", ";
FLIGHTMAP_SEP_POSTAMBLE = "";
