-- Korean translations

if (GetLocale() == "koKR") then
    FLIGHTMAP_NAME          = "FlightMap";
    FLIGHTMAP_DESCRIPTION   = "Flight path info on the World Map";
    FLIGHTMAP_ALLIANCE      = "얼라이언스";
    FLIGHTMAP_HORDE         = "호드";
    FLIGHTMAP_CONTESTED     = "Contested";

    -- Zone names
    FLIGHTMAP_MOONGLADE     = "달의 숲";
    FLIGHTMAP_ELWYNN        = "엘윈 숲";
    FLIGHTMAP_DUNMOROGH     = "던 모로";
    FLIGHTMAP_TIRISFAL      = "티리스팔 숲";
    FLIGHTMAP_LOCHMODAN     = "모단 호수";
    FLIGHTMAP_SILVERPINE    = "은빛소나무 숲";
    FLIGHTMAP_WESTFALL      = "서부 몰락지대";
    FLIGHTMAP_REDRIDGE      = "붉은마루 산맥";
    FLIGHTMAP_DUSKWOOD      = "그늘숲";
    FLIGHTMAP_HILLSBRAD     = "힐스브래드 구릉지";
    FLIGHTMAP_WETLANDS      = "저습지";
    FLIGHTMAP_ALTERAC       = "알터랙 산맥";
    FLIGHTMAP_ARATHI        = "아라시 고원";
    FLIGHTMAP_STRANGLETHORN = "가시덤불 골짜기";
    FLIGHTMAP_BADLANDS      = "황야의 땅";
    FLIGHTMAP_SORROWS       = "슬픔의 늪";
    FLIGHTMAP_HINTERLANDS   = "동부 내륙지";
    FLIGHTMAP_SEARINGGORGE  = "이글거리는 협곡";
    FLIGHTMAP_BLASTEDLANDS  = "저주받은 땅";
    FLIGHTMAP_BURNINGSTEPPE = "불타는 평원";
    FLIGHTMAP_WESTERNPLAGUE = "서부 역병지대";
    FLIGHTMAP_EASTERNPLAGUE = "동부 역병지대";
    FLIGHTMAP_DUROTAR       = "듀로타";
    FLIGHTMAP_MULGORE       = "멀고어";
    FLIGHTMAP_DARKSHORE     = "어둠의 해안";
    FLIGHTMAP_BARRENS       = "불모의 땅";
    FLIGHTMAP_STONETALON    = "돌발톱 산맥";
    FLIGHTMAP_ASHENVALE     = "잿빛 골짜기";
    FLIGHTMAP_1KNEEDLES     = "버섯구름 봉우리";
    FLIGHTMAP_DESOLACE      = "잊혀진 땅";
    FLIGHTMAP_DUSTWALLOW    = "먼지진흙 습지대";
    FLIGHTMAP_FERALAS       = "페랄라스";
    FLIGHTMAP_TANARIS       = "타나리스";
    FLIGHTMAP_AZSHARA       = "아즈샤라";
    FLIGHTMAP_FELWOOD       = "악령의 숲";
    FLIGHTMAP_UNGOROCRATER  = "운고로 분화구";
    FLIGHTMAP_SILITHUS      = "실리더스";
    FLIGHTMAP_WINTERSPRING  = "여명의 설원";
    FLIGHTMAP_TELDRASSIL    = "텔드랏실";
    FLIGHTMAP_DEADWINDPASS  = "죽음의 고개";
    FLIGHTMAP_ORGRIMMAR     = "오그리마";
    FLIGHTMAP_UNDERCITY     = "언더시티";
    FLIGHTMAP_THUNDERBLUFF  = "썬더블러프";
    FLIGHTMAP_IRONFORGE     = "아이언포지";
    FLIGHTMAP_STORMWIND     = "스톰윈드";

    -- General strings
    FLIGHTMAP_TIMING        = "(측정중)";
    FLIGHTMAP_INBOUND       = "|cff00ff00진입 비행로:|r";
    FLIGHTMAP_OUTBOUND      = "|cff00ff00진출 비행로:|r";
    FLIGHTMAP_LEVELS        = "|cff00ff00레벨:|r";
    FLIGHTMAP_NOFLIGHTS     = "None known!";    -- TODO translate
    FLIGHTMAP_NOT_KNOWN     = "(Not known)";    -- TODO translate
    FLIGHTMAP_NO_COST       = "Free";           -- TODO translate

    -- Option strings
    FLIGHTMAP_OPTIONS = {
        {   -- Group 1: Enable/Disable Features
            options = {
                {   -- Option 1: flight path lines
                    label = "비행 경로",
                    option = "showPaths",
                    tooltip = "비행 경로를 월드맵에 표시해줍니다.",
                },
                {   -- Option 2: flight timers
                    label = "비행 시간 타이머",
                    option = "useTimer",
                    tooltip = "비행 시간을 잽니다.",
                },
                {   -- Option 3: extra POI buttons
                    label = "비행장 아이콘 표시",
                    option = "showPOIs",
                    tooltip = "비행장의 위치를 아이콘으로 표시해줍니다.",
                },
            },
        },
        {   -- Group 1: Enable/Disable Features
            options = {
                {   -- Option 1: Show flight times  TODO translate
                    label = "Show flight times",
                    option = "showTimes",
                    tooltip = "Show flight times on tooltips.",
                },
                {   -- Option 2: Show flight costs  TODO translate
                    label = "Show flight costs",
                    option = "showCosts",
                    tooltip = "Show flight costs on tooltips.",
                },
                {   -- Option 3: Unknown masters    TODO translate
                    label = "Show all info",
                    option = "showAllInfo",
                    tooltip = "Show all data, even for unvisited flight nodes.",
                },
            },
        },
    };

    -- These constants determine how "Town (Zone)" strings look.
    -- SEP_STRING is what separates Town from Zone.  SEP_POSTAMBLE
    -- is anything that is after Zone.
    FLIGHTMAP_SEP_STRING    = " (";
    FLIGHTMAP_SEP_POSTAMBLE = ")";
end
